# RegisterNode

### Description

Activates a floating license. This will consume one floating license, if available. You should call this function when your application is launched.

If the function returns QlmActivationStatus.Activated or QlmActivationStatus.AlreadyActivated, you can proceed with the launch of your application.

Any other value would indicate an issue and you should abort the launch of your application.

```csharp
QlmActivationStatus RegisterNode(out string message)
```

### Parameters

| Parameter |  Type  | Description                                                        |
| --------- | :----: | ------------------------------------------------------------------ |
| message   | string | return error message if there was an error during the registration |

### Return

| Type                                                                                                       | Description              |
| ---------------------------------------------------------------------------------------------------------- | ------------------------ |
| [QlmActivationStatus](/docs/api-reference/.net-api/iqlmfloatinglicensehelper/enums/qlmactivationstatus.md) | status of the activation |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/iqlmfloatinglicensehelper/methods/registernode.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
